Subject: DARWIN DVD

From: "jennifer fiorentino" <[email-masked]>
Date: Mon, 12 Feb 2007 20:36:50 +0100

Darwin Day celebration is a great idea. I am especially interested in planning something for February 2oo9.
I imagine that many educators working in different colleges and schools would love to organise something to commemorate this great scientist but are discourgaed by lack of funding, time or human resources at their place of work.
Consequently how possible is it for DDC to prepare a DVD about Darwin - his life, travels, studies and writings etc. which can be shown to students at different schools and colleges on Darwin Day 2009? My suggestion is to have the DVD at three levels : say for children up 12 years; for students between the ages of 13 and 16; and for students of sixth form and University. I also feel that the DVD should not be more than 1 hour long. 
This will still give all those with limited funding and resources, an opportunity to expose students to this great scientist .

I thank you for passing my suggestion to persons in charge and look forward to your reply.

Jennifer Fiorentino
Dept. of Biology
Junior College
Msida
MALTA